Failed to load library 'smauthkerberos' error after policy server upgrade

Document ID : KB000095661
Last Modified Date : 18/05/2018
Show Technical Document Details
Issue:
We recently upgraded our environment from 12.52 sp1 cr6 to CR08 and found out, that the kerberos login is not working any more. 

Reason: 
[04/30/2018][12:31:08][3992185712][][SmAuthServer.cpp:239][][][][][][][][][LogMessage:ERROR:[sm-Server-02910] 

Failed to load library 'smauthkerberos'. Error: Unknown Error][41769][12:31:08.964][][][][][][][][][][][][][][][] 

[][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][] 

We ran the ldd libsmauthkerberos.so command on both CR6 and CR8 Policy servers and the dependecies on CR8 includes "libkeyutils.so.1" which is not present in CR6 dependencies. 

How can we solve this ?
Environment:
Siteminder 12.52 SP1 CR8 on Redhat 6 64bits 
Cause:
CR8 Kerberos libraries are upgraded from  version Mit 1.5.3 to Mit 1.11.2
Resolution:
Please install library libkeyutils.so.1 on the system where the Web Agent runs to solve this issue.